[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[libmicrohttpd] Re: MHD_get_fdset()

From: Christian Grothoff
Subject: [libmicrohttpd] Re: MHD_get_fdset()
Date: Wed, 3 Nov 2010 11:22:50 +0100
User-agent: KMail/1.13.5 (Linux/2.6.32-trunk-vserver-amd64; KDE/4.4.5; x86_64; ; )

Well, yes, the API should be compatible in that sense, the real question is 
about what it should look like in detail and how to integrate it nicely with 
what we have.  But the principle goal (libevent/libev/kqueue/epoll-
compatibility) is not in question.


On Wednesday 03 November 2010 07:03:10 Jakob Eriksson wrote:
> What do you think about a libevent or libev API compatible extension?
> These are platform independent and will use the best API under the hood
> for the platform of choice.
> // Jakob
> On 11/03/2010 01:09 AM, Christian Grothoff wrote:
> > Right, that's why it is called external *select*.  There are others
> > interested in having an epoll/kqueue compatible API extension, but no
> > details have been proposed or implemented.
> > 
> > -Christian

reply via email to

[Prev in Thread] Current Thread [Next in Thread]